Bug 1450691 - Review Request: python-pyrpmmd - Python module for reading rpm-md repo data
Summary: Review Request: python-pyrpmmd - Python module for reading rpm-md repo data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-14 19:24 UTC by Neal Gompa
Modified: 2017-09-03 23:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 04:28:58 UTC
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2017-05-14 19:24:28 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/python-pyrpmmd.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/python-pyrpmmd-0.1.0-1.fc27.src.rpm
Description:
pyrpmmd is an independent Python module for reading rpm-md repository metadata. The code is derived from the repomd parsing code from Yum.

Successful scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=19550430

Fedora Account System Username: ngompa

Comment 1 Fabio Valentini 2017-05-15 22:28:35 UTC
Taken.

Comment 2 Fabio Valentini 2017-05-16 19:08:48 UTC
Package Review
==============

[!]: Package consistently uses macros (instead of hard-coded directory
     names).

Since you're defining the source project name as a global, you should consistently use it, too (missing on lines 41, 51).


[!]: Final provides and requires are sane:

Provides
--------
python3-pyrpmmd:
    python3-pyrpmmd
    python3.6dist(pyrpmmd)
    python3dist(pyrpmmd)

python2-pyrpmmd:
    python-pyrpmmd
    python2-pyrpmmd
    python2.7dist(pyrpmmd)
    python2dist(pyrpmmd)

As far as I can tell from the Packaging:Python guidelines, "python-pyrpmmd" should be provided by the subpackage using the current system python implementation (python3 on rawhide, so it should be provided by python3-pyrpmmd). Since the appropriate macro is used, %python_provide seems to be broken there.


rpmlint issues
--------------

Additionally, there are some pylint errors you might want to inform "upstream" about:

python2-pyrpmmd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/rpmmd/Errors.py
python2-pyrpmmd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/rpmmd/misc.py
python2-pyrpmmd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/rpmmd/repoMDObject.py

python3-pyrpmmd.noarch: E: incorrect-fsf-address /usr/lib/python3.6/site-packages/rpmmd/Errors.py
python3-pyrpmmd.noarch: E: incorrect-fsf-address /usr/lib/python3.6/site-packages/rpmmd/misc.py
python3-pyrpmmd.noarch: E: incorrect-fsf-address /usr/lib/python3.6/site-packages/rpmmd/repoMDObject.py

Comment 3 Neal Gompa 2017-05-16 20:01:43 UTC
(In reply to Fabio Valentini from comment #2)
> Package Review
> ==============
> 
> [!]: Package consistently uses macros (instead of hard-coded directory
>      names).
> 
> Since you're defining the source project name as a global, you should
> consistently use it, too (missing on lines 41, 51).
> 

D'oh. Fixed.

> 
> [!]: Final provides and requires are sane:
> 
> Provides
> --------
> python3-pyrpmmd:
>     python3-pyrpmmd
>     python3.6dist(pyrpmmd)
>     python3dist(pyrpmmd)
> 
> python2-pyrpmmd:
>     python-pyrpmmd
>     python2-pyrpmmd
>     python2.7dist(pyrpmmd)
>     python2dist(pyrpmmd)
> 
> As far as I can tell from the Packaging:Python guidelines, "python-pyrpmmd"
> should be provided by the subpackage using the current system python
> implementation (python3 on rawhide, so it should be provided by
> python3-pyrpmmd). Since the appropriate macro is used, %python_provide seems
> to be broken there.
> 

Unfortunately, this is by design. The macro has not been switched to have python-* on Python 3 packages. That decision will come up in the coming years...

> 
> rpmlint issues
> --------------
> 
> Additionally, there are some pylint errors you might want to inform
> "upstream" about:
> 
> python2-pyrpmmd.noarch: E: incorrect-fsf-address
> /usr/lib/python2.7/site-packages/rpmmd/Errors.py
> python2-pyrpmmd.noarch: E: incorrect-fsf-address
> /usr/lib/python2.7/site-packages/rpmmd/misc.py
> python2-pyrpmmd.noarch: E: incorrect-fsf-address
> /usr/lib/python2.7/site-packages/rpmmd/repoMDObject.py
> 
> python3-pyrpmmd.noarch: E: incorrect-fsf-address
> /usr/lib/python3.6/site-packages/rpmmd/Errors.py
> python3-pyrpmmd.noarch: E: incorrect-fsf-address
> /usr/lib/python3.6/site-packages/rpmmd/misc.py
> python3-pyrpmmd.noarch: E: incorrect-fsf-address
> /usr/lib/python3.6/site-packages/rpmmd/repoMDObject.py

Will do. :)

Comment 4 Neal Gompa 2017-05-16 20:02:11 UTC
Revised version uses the same URL as before.

Comment 5 Fabio Valentini 2017-05-16 20:52:30 UTC
(In reply to Neal Gompa from comment #3)
> (In reply to Fabio Valentini from comment #2)
> > Package Review
> > ==============
> > 
> > [!]: Package consistently uses macros (instead of hard-coded directory
> >      names).
> > 
> > Since you're defining the source project name as a global, you should
> > consistently use it, too (missing on lines 41, 51).
> > 
> 
> D'oh. Fixed.
> 
> > 
> > [!]: Final provides and requires are sane:
> > 
> > Provides
> > --------
> > python3-pyrpmmd:
> >     python3-pyrpmmd
> >     python3.6dist(pyrpmmd)
> >     python3dist(pyrpmmd)
> > 
> > python2-pyrpmmd:
> >     python-pyrpmmd
> >     python2-pyrpmmd
> >     python2.7dist(pyrpmmd)
> >     python2dist(pyrpmmd)
> > 
> > As far as I can tell from the Packaging:Python guidelines, "python-pyrpmmd"
> > should be provided by the subpackage using the current system python
> > implementation (python3 on rawhide, so it should be provided by
> > python3-pyrpmmd). Since the appropriate macro is used, %python_provide seems
> > to be broken there.
> > 
> 
> Unfortunately, this is by design. The macro has not been switched to have
> python-* on Python 3 packages. That decision will come up in the coming
> years...

Well, then the wording of the Packaging:Python wiki page is strange if that hasn't been switched over, despite python3 being the default now. ...

> > 
> > rpmlint issues
> > --------------
> > 
> > Additionally, there are some pylint errors you might want to inform
> > "upstream" about:
> > 
> > python2-pyrpmmd.noarch: E: incorrect-fsf-address
> > /usr/lib/python2.7/site-packages/rpmmd/Errors.py
> > python2-pyrpmmd.noarch: E: incorrect-fsf-address
> > /usr/lib/python2.7/site-packages/rpmmd/misc.py
> > python2-pyrpmmd.noarch: E: incorrect-fsf-address
> > /usr/lib/python2.7/site-packages/rpmmd/repoMDObject.py
> > 
> > python3-pyrpmmd.noarch: E: incorrect-fsf-address
> > /usr/lib/python3.6/site-packages/rpmmd/Errors.py
> > python3-pyrpmmd.noarch: E: incorrect-fsf-address
> > /usr/lib/python3.6/site-packages/rpmmd/misc.py
> > python3-pyrpmmd.noarch: E: incorrect-fsf-address
> > /usr/lib/python3.6/site-packages/rpmmd/repoMDObject.py
> 
> Will do. :)

Since you fixed the things I pointed out and those were the only issues I could find, I've approved the package.

Comment 6 Gwyn Ciesla 2017-05-17 01:53:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pyrpmmd

Comment 7 Fedora Update System 2017-08-12 14:49:29 UTC
python-pyrpmmd-0.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6f3295ae47

Comment 8 Fedora Update System 2017-08-13 00:59:52 UTC
python-pyrpmmd-0.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ac21e21a2

Comment 9 Fedora Update System 2017-08-13 04:06:39 UTC
python-pyrpmmd-0.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-619b2eca37

Comment 10 Fedora Update System 2017-08-13 05:17:43 UTC
python-pyrpmmd-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6f3295ae47

Comment 11 Fedora Update System 2017-08-15 07:49:34 UTC
python-pyrpmmd-0.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e14c9dca44

Comment 12 Fedora Update System 2017-08-22 04:28:58 UTC
python-pyrpmmd-0.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-08-22 12:49:23 UTC
python-pyrpmmd-0.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-03 23:49:06 UTC
python-pyrpmmd-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-09-03 23:49:11 UTC
python-pyrpmmd-0.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.